!INCLUDE <lynxcc65.mak>

target = tutorial-io.lnx
objects = lynx-160-102-16.o lynx-comlynx.o lynx-stdjoy.o \
					tutorial.o
	
lynx-comlynx.o:
	$(CP) $(CC65_INC)\..\ser\$*.ser .
	$(CO) --code-label _comlynx $*.ser
	$(AS) -t lynx -o $@ $(AFLAGS) $*.s

$(target) : $(objects) 
	$(CL) -t $(SYS) -o $@ $(objects) lynx.lib
	$(CP) $@ .\$(BUILD)\$@

all: $(target)
	
clean:
  $(RM) *.tgi
  $(RM) *.s
  $(RM) *.joy
  $(RM) *.o
  $(RM) *.lnx
 