; The Atari Lynx directory structure
; Written for the cc65 compiler by
; Karri Kaksonen, 2004
;
	.include "lynx.inc"
	.import __STARTOFDIRECTORY__
	.import __RAM_START__
	.import __CODE_SIZE__,__DATA_SIZE__,__RODATA_SIZE__
	.import __STARTUP_SIZE__,__INIT_SIZE__
	.import __BLOCKSIZE__

	.import __CODE_LOAD__ 
	.import __LOADER_SIZE__
	.import __RAM_SIZE__

	.import __TITLE_SIZE__
	.import __TITLE_START__
	
.segment	"DIRECTORY"
__DIRECTORY_START__:

;; Entry 0 - main (mandatory)
;off0=__STARTOFDIRECTORY__+(__DIRECTORY_END__-__DIRECTORY_START__)
;blocka=off0/__BLOCKSIZE__
;len0=__MAIN_SIZE__
;	.byte	<blocka
;	.word	off0 & (__BLOCKSIZE__ - 1)
;	.byte	$00
;	.word	__MAIN_START__
;	.word	len0

; Entry 0 - title sprite (mandatory)
off0=__LOADER_SIZE__+(__DIRECTORY_END__-__DIRECTORY_START__)
blocka=off0/__BLOCKSIZE__
len0=__TITLE_SIZE__
	.byte	<blocka
	.word	off0 & (__BLOCKSIZE__ - 1)
	.byte	$00
	.word	__TITLE_START__
	.word	len0

; Entry 1 - first executable (mandatory)
off1=off0+len0
block1=off1/__BLOCKSIZE__
;len1=__CODE_SIZE__+__RODATA_SIZE__+__DATA_SIZE__
len1=__STARTUP_SIZE__+__INIT_SIZE__+__CODE_SIZE__+__DATA_SIZE__+__RODATA_SIZE__
	.byte	<block1
	.word	off1 & (__BLOCKSIZE__ - 1)
	.byte	$88
	.word	__RAM_START__
	.word	len1

; You may insert more entries in any format you like

.macro entry old_off, old_len, new_off, new_block, new_len, new_size, new_addr
new_off=old_off+old_len
new_block=new_off/__BLOCKSIZE__
new_len=new_size
	.byte	<new_block
	.word	(new_off & (__BLOCKSIZE__ - 1)) ; ^ $ffff
	.byte	$88
	.word	new_addr
	.word	new_len ; ^ $ffff
.endmacro

__DIRECTORY_END__:
