; Atari Lynx encrypted cart header.
;
; Written for the cc65 compiler by
; Harry Dodgson and Karri Kaksonen, 2004
;
	.export __LOADER_SIZE__

__LOADER_SIZE__=410 

.segment	"BOOTLDR"
	; The cart starts with an encrypted loader for 1024 bytes/block
	; images. The size of the loader is 410 bytes followed by two
	; mandatory directory entries.
	.byte	$FD
	.byte	$C1
	.byte	$0D
	.byte	$8E
	.byte	$E9
	.byte	$EE
	.byte	$09
	.byte	$13
	.byte	$E5
	.byte	$96
	.byte	$0C
	.byte	$34
	.byte	$64
	.byte	$DA
	.byte	$D4
	.byte	$BB
	.byte	$99
	.byte	$EC
	.byte	$CE
	.byte	$4F
	.byte	$AA
	.byte	$8C
	.byte	$ED
	.byte	$65
	.byte	$F0
	.byte	$32
	.byte	$70
	.byte	$A3
	.byte	$84
	.byte	$C4
	.byte	$FC
	.byte	$A2
	.byte	$6D
	.byte	$3A
	.byte	$F8
	.byte	$77
	.byte	$4B
	.byte	$AC
	.byte	$9B
	.byte	$54
	.byte	$7D
	.byte	$82
	.byte	$6F
	.byte	$F8
	.byte	$A5
	.byte	$06
	.byte	$4D
	.byte	$7B
	.byte	$77
	.byte	$55
	.byte	$E4
	.byte	$31
	.byte	$C4
	.byte	$2C
	.byte	$2F
	.byte	$2F
	.byte	$B6
	.byte	$4D
	.byte	$15
	.byte	$A9
	.byte	$C7
	.byte	$99
	.byte	$5D
	.byte	$6E
	.byte	$B3
	.byte	$97
	.byte	$92
	.byte	$44
	.byte	$7B
	.byte	$2B
	.byte	$85
	.byte	$18
	.byte	$E6
	.byte	$F1
	.byte	$96
	.byte	$F4
	.byte	$C4
	.byte	$DE
	.byte	$A4
	.byte	$CF
	.byte	$79
	.byte	$E2
	.byte	$C1
	.byte	$1A
	.byte	$E0
	.byte	$0C
	.byte	$93
	.byte	$C5
	.byte	$26
	.byte	$BD
	.byte	$A3
	.byte	$16
	.byte	$8A
	.byte	$C3
	.byte	$59
	.byte	$A0
	.byte	$39
	.byte	$38
	.byte	$A0
	.byte	$3B
	.byte	$EF
	.byte	$BB
	.byte	$1D
	.byte	$5C
	.byte	$0D
	.byte	$1D
	.byte	$CC
	.byte	$48
	.byte	$1D
	.byte	$DD
	.byte	$98
	.byte	$9A
	.byte	$7A
	.byte	$F7
	.byte	$96
	.byte	$F9
	.byte	$61
	.byte	$03
	.byte	$50
	.byte	$DA
	.byte	$47
	.byte	$69
	.byte	$94
	.byte	$C3
	.byte	$80
	.byte	$DA
	.byte	$A9
	.byte	$99
	.byte	$A1
	.byte	$21
	.byte	$2B
	.byte	$2E
	.byte	$7D
	.byte	$F5
	.byte	$E4
	.byte	$F7
	.byte	$B3
	.byte	$5C
	.byte	$A8
	.byte	$14
	.byte	$FA
	.byte	$E9
	.byte	$06
	.byte	$AC
	.byte	$1E
	.byte	$9F
	.byte	$B5
	.byte	$31
	.byte	$BE
	.byte	$42
	.byte	$14
	.byte	$08
	.byte	$0E
	.byte	$05
	.byte	$FB
	.byte	$25
	.byte	$BB
	.byte	$5C
	.byte	$5C
	.byte	$66
	.byte	$76
	.byte	$8E
	.byte	$36
	.byte	$E8
	.byte	$EB
	.byte	$39
	.byte	$F2
	.byte	$26
	.byte	$BD
	.byte	$17
	.byte	$29
	.byte	$F4
	.byte	$B8
	.byte	$1D
	.byte	$7E
	.byte	$EE
	.byte	$47
	.byte	$61
	.byte	$BB
	.byte	$9E
	.byte	$F5
	.byte	$72
	.byte	$C9
	.byte	$BC
	.byte	$26
	.byte	$37
	.byte	$D5
	.byte	$78
	.byte	$8F
	.byte	$D0
	.byte	$CE
	.byte	$95
	.byte	$21
	.byte	$EB
	.byte	$4A
	.byte	$07
	.byte	$8D
	.byte	$3A
	.byte	$3A
	.byte	$01
	.byte	$82
	.byte	$CF
	.byte	$01
	.byte	$C5
	.byte	$1E
	.byte	$1D
	.byte	$A8
	.byte	$41
	.byte	$4F
	.byte	$BD
	.byte	$C1
	.byte	$76
	.byte	$22
	.byte	$A3
	.byte	$88
	.byte	$D9
	.byte	$57
	.byte	$C9
	.byte	$51
	.byte	$3A
	.byte	$26
	.byte	$BE
	.byte	$4A
	.byte	$1A
	.byte	$7F
	.byte	$42
	.byte	$61
	.byte	$CF
	.byte	$FC
	.byte	$FC
	.byte	$5B
	.byte	$06
	.byte	$94
	.byte	$D2
	.byte	$2C
	.byte	$78
	.byte	$45
	.byte	$BA
	.byte	$93
	.byte	$C4
	.byte	$7D
	.byte	$7C
	.byte	$81
	.byte	$73
	.byte	$07
	.byte	$4F
	.byte	$E2
	.byte	$6C
	.byte	$E9
	.byte	$81
	.byte	$1A
	.byte	$DE
	.byte	$77
	.byte	$74
	.byte	$87
	.byte	$DE
	.byte	$26
	.byte	$9E
	.byte	$7A
	.byte	$A8
	.byte	$19
	.byte	$A7
	.byte	$34
	.byte	$32
	.byte	$70
	.byte	$ED
	.byte	$59
	.byte	$A8
	.byte	$4A
	.byte	$D8
	.byte	$FE
	.byte	$CB
	.byte	$DD
	.byte	$02
	.byte	$2F
	.byte	$CE
	.byte	$92
	.byte	$E9
	.byte	$13
	.byte	$A6
	.byte	$FF
	.byte	$B4
	.byte	$4B
	.byte	$18
	.byte	$9D
	.byte	$63
	.byte	$48
	.byte	$E0
	.byte	$3B
	.byte	$3B
	.byte	$0D
	.byte	$2B
	.byte	$FC
	.byte	$04
	.byte	$A4
	.byte	$E3
	.byte	$5E
	.byte	$4C
	.byte	$3C
	.byte	$94
	.byte	$70
	.byte	$C4
	.byte	$F0
	.byte	$64
	.byte	$15
	.byte	$48
	.byte	$68
	.byte	$17
	.byte	$DE
	.byte	$14
	.byte	$72
	.byte	$F0
	.byte	$59
	.byte	$33
	.byte	$4C
	.byte	$49
	.byte	$47
	.byte	$8D
	.byte	$B6
	.byte	$F4
	.byte	$82
	.byte	$4E
	.byte	$B7
	.byte	$4E
	.byte	$01
	.byte	$C9
	.byte	$C2
	.byte	$82
	.byte	$0B
	.byte	$7A
	.byte	$AC
	.byte	$67
	.byte	$9B
	.byte	$0F
	.byte	$04
	.byte	$E1
	.byte	$B6
	.byte	$78
	.byte	$34
	.byte	$C8
	.byte	$4F
	.byte	$2A
	.byte	$11
	.byte	$ED
	.byte	$D0
	.byte	$1C
	.byte	$6D
	.byte	$CD
	.byte	$3D
	.byte	$47
	.byte	$09
	.byte	$8B
	.byte	$E5
	.byte	$38
	.byte	$19
	.byte	$7A
	.byte	$31
	.byte	$6E
	.byte	$30
	.byte	$71
	.byte	$1C
	.byte	$90
	.byte	$34
	.byte	$E5
	.byte	$44
	.byte	$CC
	.byte	$00
	.byte	$C7
	.byte	$41
	.byte	$D0
	.byte	$27
	.byte	$8A
	.byte	$06
	.byte	$29
	.byte	$5C
	.byte	$2B
	.byte	$E4
	.byte	$26
	.byte	$63
	.byte	$09
	.byte	$52
	.byte	$D3
	.byte	$97
	.byte	$33
	.byte	$D7
	.byte	$59
	.byte	$1C
	.byte	$36
	.byte	$2F
	.byte	$C9
	.byte	$A9
	.byte	$A2
	.byte	$B5
	.byte	$BB
	.byte	$A9
	.byte	$1D
	.byte	$E6
	.byte	$36
	.byte	$7E
	.byte	$56
	.byte	$05
	.byte	$A4
	.byte	$9C
	.byte	$E0
	.byte	$45
	.byte	$59
	.byte	$21
	.byte	$E1
	.byte	$E6
	.byte	$21
