!INCLUDE <lynxcc65.mak>

target = tutorial-pens.lnx
objects = lynx-160-102-16.o lynx-stdjoy.o \
					tutorial.o \
					robot.o robotcentered.o

robotcentered.o: robot.bmp
	$(SPRPCK) -t6 -p2 -a004003 robot.bmp
	$(ECHO) .global _robotcentered > $*.s
	$(ECHO) .segment "$(RODATA_SEGMENT)" >> $*.s
	$(ECHO) _robotcentered: .incbin "robot.spr" >> $*.s
	$(AS) -t lynx -o $@ $(AFLAGS) $*.s

$(target) : $(objects) 
	$(CL) -t $(SYS) -o $@ $(objects) lynx.lib
	$(CP) $@ .\$(BUILD)\$@

all: $(target)
	
clean:
  $(RM) *.tgi
  $(RM) *.s
  $(RM) *.joy
  $(RM) *.o
  $(RM) *.lnx
 